#!/bin/bash -e
# run wendelin.core/wcfs tests under custom linux kernel

X=$(cd `dirname $0` && pwd)

if test -z "$qrun_loglevel"; then
	make -C $X --no-print-directory # rebuild everything
	linux=${LINUX:-$HOME/src/linux/linux/arch/`uname -m`/boot/bzImage}
	exec $X/t/qemu-runlinux "$linux" $0 "$@"
fi

# executed under qemu-runlinux
#export WENDELIN_CORE_WCFS_OPTIONS="-d -alsologtostderr -v=1"
#screen	-Logfile /tmp/x.0 -L \
py.test	\
	`# disable cache & warnings that it cannot be updated since fs under qrun is read-only`	\
	`# https://stackoverflow.com/a/47893653/9456786`	\
	-p no:cacheprovider	\
 \
	"$@"
